Ginkgo: gko::solver::EnablePreconditionedIterativeSolver< ValueType, DerivedType > Class Template Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::solver::EnablePreconditionedIterativeSolver< ValueType, DerivedType > Class Template Reference
Linear Operators

A LinOp implementing this interface stores a system matrix and stopping criterion factory. More...

`#include <ginkgo/core/solver/solver_base.hpp>`

Inheritance diagram for gko::solver::EnablePreconditionedIterativeSolver< ValueType, DerivedType >:
[legend]
Collaboration diagram for gko::solver::EnablePreconditionedIterativeSolver< ValueType, DerivedType >:
[legend]

## Public Member Functions
| EnablePreconditionedIterativeSolver (std::shared_ptr< const LinOp > system_matrix, std::shared_ptr< const stop::CriterionFactory > stop_factory, std::shared_ptr< const LinOp > preconditioner)
template<typename FactoryParameters>
| EnablePreconditionedIterativeSolver (std::shared_ptr< const LinOp > system_matrix, const FactoryParameters &params)
Public Member Functions inherited from gko::solver::EnableSolverBase< DerivedType, MatrixType >
EnableSolverBase & | operator= (const EnableSolverBase &other)
| Creates a shallow copy of the provided system matrix, clones it onto this executor if executors don't match.
EnableSolverBase & | operator= (EnableSolverBase &&other)
| Moves the provided system matrix, clones it onto this executor if executors don't match.
| EnableSolverBase (std::shared_ptr< const MatrixType > system_matrix)
| EnableSolverBase (const EnableSolverBase &other)
| Creates a shallow copy of the provided system matrix.
| EnableSolverBase (EnableSolverBase &&other)
| Moves the provided system matrix.
int | get_num_workspace_ops () const override
std::vector< std::string > | get_workspace_op_names () const override
std::vector< int > | get_workspace_scalars () const override
| Returns the IDs of all scalars (workspace vectors with system dimension-independent size, usually 1 x num_rhs).
std::vector< int > | get_workspace_vectors () const override
| Returns the IDs of all vectors (workspace vectors with system dimension-dependent size, usually system_matrix_size x num_rhs).
Public Member Functions inherited from gko::solver::SolverBase< LinOp >
std::shared_ptr< const LinOp > | get_system_matrix () const
| Returns the system matrix, with its concrete type, used by the solver.
Public Member Functions inherited from gko::solver::EnableIterativeBase< DerivedType >
EnableIterativeBase & | operator= (const EnableIterativeBase &other)
| Creates a shallow copy of the provided stopping criterion, clones it onto this executor if executors don't match.
EnableIterativeBase & | operator= (EnableIterativeBase &&other)
| Moves the provided stopping criterion, clones it onto this executor if executors don't match.
| EnableIterativeBase (std::shared_ptr< const stop::CriterionFactory > stop_factory)
| EnableIterativeBase (const EnableIterativeBase &other)
| Creates a shallow copy of the provided stopping criterion.
| EnableIterativeBase (EnableIterativeBase &&other)
| Moves the provided stopping criterion.
void | set_stop_criterion_factory (std::shared_ptr< const stop::CriterionFactory > new_stop_factory) override
| Sets the stopping criterion of the solver.
Public Member Functions inherited from gko::solver::IterativeBase
std::shared_ptr< const stop::CriterionFactory > | get_stop_criterion_factory () const
| Gets the stopping criterion factory of the solver.
Public Member Functions inherited from gko::solver::EnablePreconditionable< DerivedType >
void | set_preconditioner (std::shared_ptr< const LinOp > new_precond) override
| Sets the preconditioner operator used by the Preconditionable.
EnablePreconditionable & | operator= (const EnablePreconditionable &other)
| Creates a shallow copy of the provided preconditioner, clones it onto this executor if executors don't match.
EnablePreconditionable & | operator= (EnablePreconditionable &&other)
| Moves the provided preconditioner, clones it onto this executor if executors don't match.
| EnablePreconditionable (std::shared_ptr< const LinOp > preconditioner)
| EnablePreconditionable (const EnablePreconditionable &other)
| Creates a shallow copy of the provided preconditioner.
| EnablePreconditionable (EnablePreconditionable &&other)
| Moves the provided preconditioner.
Public Member Functions inherited from gko::Preconditionable
virtual std::shared_ptr< const LinOp > | get_preconditioner () const
| Returns the preconditioner operator used by the Preconditionable.

## Detailed Description

template<typename ValueType, typename DerivedType>
class gko::solver::EnablePreconditionedIterativeSolver< ValueType, DerivedType >

A LinOp implementing this interface stores a system matrix and stopping criterion factory.

Template Parameters

  ValueType | the value type that iterative solver uses for its vectors
  DerivedType | the CRTP type that derives from this

The documentation for this class was generated from the following file:

- ginkgo/core/solver/solver_base.hpp